:root {
    --dark-color: #0a0065;
    --light-color: #f8f8f6;
    --dark-half: #8580b9;
}
/* Reset browser defaults */
html, body, p, h1, a { text-decoration: none; padding: 0; margin: 0;}
/* Base styles */
html, body { 
    top:0;
    height: 100vh;
    /* Colours */
    color: var(--dark-color);
    background-color: var(--light-color); 
    /* Typography */
    font-family: 'Poppins', sans-serif;
    font-size: 16px;
}
/* Hide the scroll bar for Chrome, Safari and Opera */
body ::-webkit-scrollbar { display: none; }
/* Hide the scroll bar for IE, Edge and Firefox */
body {
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
}

/* MOBILE DEVICE CHECK */
/* Hide if screen is large enough */
    .mobile-message {
        position:fixed;
        z-index: 999;
        display:flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        height: 100vh;
        padding: 2rem;
        background-color: var(--light-color);
    }
/* Otherwise show message */
@media only screen and (min-width: 1100px){
    .mobile-message {display: none !important;} 
}

/* Frame around content */
.website-frame {
    position: fixed;
    z-index: 90;
    background-color: var(--light-color);
    left: 0;
    width: 100%;
    height: 1rem;
}
#website-frame-top { top: 0; }
#website-frame-bottom { bottom: 0; }

/* Main container */
.container {
    box-sizing:border-box;
    width: 100%;
    height: 100vh;
    padding-left: 1rem;
    padding-right: 1rem;
    scroll-behavior: smooth;
    overflow: auto;
    scroll-snap-type: y mandatory;
}
/* Container for portfolio images */
.image-container {
    box-sizing: border-box;
    width: 75.8%;
    height: 100vh;
    float: left;
    scroll-snap-align: start;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}
img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    background-color: black;
}

/* Container for videos */
.video-container {
    display: flex;
    flex-direction: column;
    align-items: end;
    width: 100%;
    height: 100%;
    /* background-color: #0a00650a; */
}
.video-container p {margin-top: 0.5rem; margin-right:0.5rem;}

/* Container for text */
.text-container {
    position: fixed;
    box-sizing: border-box;
    height: 100%;
    padding: 1rem;
    width: 25%;
    min-width: 18rem;
    top: 0; right: 0;
    background-color: var(--light-color);
    display: grid;
    grid-template-rows: min-content 1fr min-content;
}
/* Typography */
/* Increase font size for large screens */
@media only screen and (min-width:1600px) { html, body { font-size: 18px; } }
/* @media only screen and (min-width:1800px) { html, body { font-size: 20px; } } */
h1 { font-size: 1.5rem; line-height: 1.25em; font-weight: 500;}
p { font-size: 1rem; margin-top: 1rem; line-height:1.4em; font-weight:300;}

/* Project navigation */
.project-nav { margin-top: 1rem;}
.dropdown { 
    position: relative; 
    display: inline-block; 
    width: 100%; 
    text-align: center;
    margin-bottom: 1rem;
}
.projects-button {
    display: block;
    padding: 0.4rem 1rem;
    border: 1px solid var(--dark-color);
    color: var(--dark-color);
}
.dropdown-content {
    display: none;
    position: absolute;
    background-color: var(--light-color);
    border: 1px solid var(--dark-color);
    border-top: 0;
    z-index: 1;
    text-align: center;
    padding: 0.25rem 0rem;
    width: 100%;
}
.dropdown-content a {
    display: block;
    color: var(--dark-color);
    padding: 0.25rem;
}
.dropdown-content a:hover { background-color: var(--dark-color); color: var(--light-color);}
.dropdown:hover .dropdown-content { display: block;}

/* Services styling */
.services-list {
    display:flex;
    flex-wrap: wrap;
    gap: .6rem .5rem;
    list-style-type: none;
    margin: 1.1rem 0 1.25rem; padding: 0;
}

.services-list li {
    font-size: 0.9rem;
    font-weight:200;
    color: var(--dark-color);
    background:var(--light-color);
    border-radius: 999px;
    border-style: solid;
    border-width: 1px;
    border-color: var(--dark-half);
    padding: 0.3em 0.8em;
}

/* 'Previous' and 'Next' buttons */
.next-button, .prev-button { 
    background-color: var(--light-color);
    color: var(--dark-color);
    padding: 0.4rem 1rem;
    border: 1px solid var(--dark-color);
}
.next-button:hover, .prev-button:hover {
    background-color: var(--dark-color);
    color: var(--light-color);
}
.next-button { float: right; }
.prev-button { float: left; }

/* Wayland Jones SVG Logo */
.logo-holder { 
    position: fixed;
    right: 1rem;
    bottom: 1rem;
}
#wj-logo { 
    height: 4rem;
    float: right;
    fill: var(--dark-color); 
}
/* Scrolling arrow */
.scroll-down svg {
    position: relative;
    width: 1rem;
    fill: var(--dark-color);
    margin-right: 0.2rem;
    animation: bounce cubic-bezier(0.8, 0, 0, 1) 1.5s infinite alternate;
}
@keyframes bounce {
    0% {margin-bottom: 0px;}

    80% {margin-bottom: 0px;}
    90% {margin-bottom: 4px;}
    100% {margin-bottom: 0px;}
}